package com.ruoyi.baseinfo.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职位基础信息对象 base_post_info
 * 
 * @author CaesarBao
 * @date 2020-10-21
 */
@Data
public class BasePostInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long objid;

    /** 职位ID */
    @Excel(name = "职位ID")
    private String postId;

    /** 职位名称 */
    @Excel(name = "职位名称")
    private String postName;

    /** 职位类型ID */
    @Excel(name = "职位类型ID")
    private String postTypeId;

    /** 状态（0代表可用 1代表停用） */
    @Excel(name = "状态", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String postTypeName;

    private boolean flag = false;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setPostId(String postId) 
    {
        this.postId = postId;
    }

    public String getPostId() 
    {
        return postId;
    }
    public void setPostName(String postName) 
    {
        this.postName = postName;
    }

    public String getPostName() 
    {
        return postName;
    }
    public void setPostTypeId(String postTypeId) 
    {
        this.postTypeId = postTypeId;
    }

    public String getPostTypeId() 
    {
        return postTypeId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("postId", getPostId())
            .append("postName", getPostName())
            .append("postTypeId", getPostTypeId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
